Skip to main content
`Ctrl`+`K`

# KSPGuessCreate

Creates a `KSPGuess` context.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGuessCreate(MPI_Comm comm, KSPGuess *guess)

Collective

## Input Parameter

- comm - MPI communicator

## Output Parameter

- guess - location to put the `KSPGuess` context

## Options Database Keys

- -ksp_guess_type <method> - Turns on generation of initial guesses and sets the method; use -help for a list of available methods

- -ksp_guess_view <viewer> - view the `KSPGuess` object

- -ksp_guess_fischer_model <a,b> - set details for the Fischer models

- -ksp_guess_fischer_monitor - monitor the fischer models

- -ksp_guess_fischer_tol <tol> - set the tolerance for the Fischer models

- -ksp_guess_pod_size <size> - Number of snapshots

- -ksp_guess_pod_monitor true - monitor the pod initial guess processing

- -ksp_guess_pod_tol <tol> - Tolerance to retain eigenvectors

- -ksp_guess_pod_Ainner true - Use the operator as inner product (must be SPD)

## Note

These are generally created automatically by using the option `-ksp_guess_type type` and controlled from the options database

There are two families of methods `KSPGUESSFISCHER`, developed by Paul Fischer and `KSPGUESSPOD`

## See Also

KSP: Linear System Solvers, `KSPSolve()`, `KSPGuessDestroy()`, `KSPGuess`, `KSPGuessType`, `KSP`

## Level

developer

## Location

src/ksp/ksp/interface/iguess.c

## Implementations

KSPGuessCreate_Fischer() in src/ksp/ksp/guess/impls/fischer/fischer.c
KSPGuessCreate_POD() in src/ksp/ksp/guess/impls/pod/pod.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages